Register Multi Instance App
curl --request POST \
--url https://api.jtl-cloud.com/erp/authentication/{registrationId} \
--header 'Authorization: Bearer <token>' \
--header 'x-challengecode: <x-challengecode>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/authentication/{registrationId}"
headers = {
"x-challengecode": "<x-challengecode>",
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-challengecode': '<x-challengecode>',
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.jtl-cloud.com/erp/authentication/{registrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AppId": "<string>",
"RegistrationRequestId": "<string>",
"Status": 0
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authentication
Register Multi Instance App
deprecated
Sends a registration request for another instance of the same application
POST
/
authentication
/
{registrationId}
Register Multi Instance App
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
You can enter any custom value here. The X-ChallengeCode is used during app registration and must be the same for all registration requests. The maximum length is 30 characters.
The tenant ID for the target ERP instance.
Path Parameters
Unique identifier of the registration request
Response
Status of the registration process (including the unique identifiers of the application and registration request)
Was this page helpful?